---
title: Create MCP Server
description: Creates a new MCP server configuration. Limited to 100 servers per user.
docs_index: /docs/llms.txt
lastUpdated: 2026-11-21
badge: "POST"
---

> For an index of all documentation, see [/docs/llms.txt](/docs/llms.txt).

Creates a new MCP server configuration. Limited to 100 servers per user.

#### `POST /v2/mcp-servers`

## Usage

```typescript
import { v0 } from 'v0'

const result = await v0.mcpServers.create({
  name: 'My Project',
  url: 'https://example.com',
  enabled: true,
  auth: 'none',
  scope: 'user',
})

console.log(result)
```

```bash
curl -X POST "https://api.v0.dev/v2/mcp-servers"   -H "Authorization: Bearer $V0_API_KEY"   -H "Content-Type: application/json"   -d '{"name":"My Project","url":"https://example.com","enabled":true,"auth":"none","scope":"user"}'
```

## API Signature

### Request

#### Request Body

- `name: string` Display name for the MCP server.
  - **Minimum length:** 1
  - **Maximum length:** 100
- `url: string` URL endpoint of the MCP server.
  - **Maximum length:** 500
- `description?: string` Optional description of the MCP server.
  - **Maximum length:** 500
- `enabled: boolean` Whether the server should be enabled.
- `auth: 'none' | 'bearer' | 'custom-headers' | 'oauth'` Authentication configuration.
- `scope: 'user' | 'team'` Scope of the MCP server configuration.

### Response

- `id: string` Unique identifier for the MCP server.
- `name: string` Display name of the MCP server.
- `url: string` URL endpoint of the MCP server.
- `description: string` Optional description of the MCP server.
- `createdAt: string` ISO timestamp of when the server was created.
- `updatedAt: string` ISO timestamp of the last update.
- `userId: string` ID of the user who created the server.
- `enabled: boolean` Whether the MCP server is enabled.
- `auth: 'none' | 'bearer' | 'custom-headers' | 'oauth'` Authentication configuration for the MCP server.
- `scope: 'user' | 'team'` Scope of the MCP server configuration.

---

For a semantic overview of all documentation, see [/docs/sitemap.md](/docs/sitemap.md)

For an index of all available documentation, see [/docs/llms.txt](/docs/llms.txt)

For agent-facing discovery, including API and MCP surfaces, see [/docs/agents.md](/docs/agents.md)